/// <reference types="node" />
import { WriteFileOptions } from "fs";
declare type GroupByOptions = {
    groupByKey: string;
    groupedArrayProperty: string;
};
declare type MultCsvMergeToJsonOptions = {
    inputDir: string;
    inputKeys: Array<string>;
    inputFileNameList: Array<string>;
    outputDir: string;
    outputFileName: string;
    columnDelimiter: string;
    encoding?: WriteFileOptions;
    groupBy?: GroupByOptions;
    writeToFile?: boolean;
    replaceValues?: boolean;
};
declare function writeOutputFile(options: MultCsvMergeToJsonOptions, jsonObj: Array<Object> | Object): void;
declare function mergeCsvFilesToJsonArray(options: MultCsvMergeToJsonOptions): Promise<{}[]>;
declare function getJsonArray(options: MultCsvMergeToJsonOptions): Promise<Object[]>;
export { MultCsvMergeToJsonOptions, mergeCsvFilesToJsonArray, getJsonArray, writeOutputFile, };
